// Buttons

.btn {
    border-radius: 0;
}

@mixin button {
    display: inline-block;
    border-radius: 50rem;
    padding: .5rem 1.5rem;
    font-size: .8rem;
}

@mixin button-primary {
    @include button;
    background-color: $color-primary;
    color: $color-secondary !important;
}

@mixin button-outline {
    @include button;
    background-color: rgba($color-secondary, .5);
    border: 1px solid $color-primary;
    color: $color-primary !important;
    transition: color .25s ease-in-out, background-color .25s ease-in-out;
    &:hover {
        background-color: $color-primary;
        color: $color-secondary !important;
    }
}

.button-outline {
    @include button-outline;
}

.btn-close {
    color: $color-primary;
    text-decoration: none;
    opacity: 1;
    font-size: 1.3rem;
    &:hover {
        color: $color-primary;
    }
}

.badge {
    border: 1px solid $color-primary;
    text-transform: uppercase;
    font-size: 9px;
    letter-spacing: .1rem;
    padding-top: .3rem;
    padding-left: .5rem;
    border-radius: 0;
}

/* Wordpress Block Editor */
.wp-block-button {
    &.is-style-outline {
        .wp-block-button__link {
            @extend .btn;
            @extend .btn-outline-primary;
        }
    }

    &.btn-lg {
        .wp-block-button__link {
            @extend .btn-lg;
        }
    }
    &.btn-sm {
        .wp-block-button__link {
            @extend .btn-sm;
        }
    }

    .wp-block-button__link {
        @extend .btn;
        @extend .btn-primary;
        text-decoration: none;
    }
}